# Uses of Class
org.jmol.api.JmolAdapterBondIterator

Packages that use JmolAdapterBondIterator
Package
Description
jme
org.jmol.adapter.smarter
org.jmol.api

## Uses of JmolAdapterBondIterator in jme

Constructors in jme with parameters of type JmolAdapterBondIterator
Modifier
Constructor
Description
``
`JMEmol(JME jme, JmolAdapterAtomIterator atomIterator, JmolAdapterBondIterator bondIterator)`

## Uses of JmolAdapterBondIterator in org.jmol.adapter.smarter

Methods in org.jmol.adapter.smarter that return JmolAdapterBondIterator
Modifier and Type
Method
Description
`JmolAdapterBondIterator`
SmarterJmolAdapter.`getBondIterator(Object asc)`

## Uses of JmolAdapterBondIterator in org.jmol.api

Methods in org.jmol.api that return JmolAdapterBondIterator
Modifier and Type
Method
Description
`abstract JmolAdapterBondIterator`
JmolAdapter.`getBondIterator(Object atomSetCollection)`
Get a BondIterator for retrieval of all bonds in the file.